#!/bin/sh

set -e

cp -r tests setup.cfg ${AUTOPKGTEST_TMP}
cd ${AUTOPKGTEST_TMP}
for p in $(py3versions -s); do
    DJANGO_SETTINGS_MODULE=tests.settings $p -m pytest -k "not test_sentinel and not test_pubsub_sentinel and not test_receive_cancel" tests
done
